# Uses of Enum Class
org.bukkit.event.Event.Result

Packages that use Event.Result
Package
Description
org.bukkit.event
Classes dedicated to handling triggered code executions.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of Event.Result in org.bukkit.event

Methods in org.bukkit.event that return Event.Result
Modifier and Type
Method
Description
`static Event.Result`
Event.Result.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Event.Result[]`
Event.Result.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Event.Result in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return Event.Result
Modifier and Type
Method
Description
`@NotNull Event.Result`
InventoryInteractEvent.`getResult()`
Gets the `Event.Result` of this event.
Methods in org.bukkit.event.inventory with parameters of type Event.Result
Modifier and Type
Method
Description
`void`
InventoryInteractEvent.`setResult(@NotNull Event.Result newResult)`
Sets the result of this event.

## Uses of Event.Result in org.bukkit.event.player

Methods in org.bukkit.event.player that return Event.Result
Modifier and Type
Method
Description
`@NotNull Event.Result`
PlayerBedEnterEvent.`useBed()`
This controls the action to take with the bed that was clicked on.
`@NotNull Event.Result`
PlayerInteractEvent.`useInteractedBlock()`
This controls the action to take with the block (if any) that was clicked on.
`@NotNull Event.Result`
PlayerInteractEvent.`useItemInHand()`
This controls the action to take with the item the player is holding.
Methods in org.bukkit.event.player with parameters of type Event.Result
Modifier and Type
Method
Description
`void`
PlayerBedEnterEvent.`setUseBed(@NotNull Event.Result useBed)`
Sets the action to take with the interacted bed.
`void`
PlayerInteractEvent.`setUseInteractedBlock(@NotNull Event.Result useInteractedBlock)`
`void`
PlayerInteractEvent.`setUseItemInHand(@NotNull Event.Result useItemInHand)`